package com.fs.store.service;

import java.util.List;

import com.fs.his.vo.CitysAreaVO;
import com.fs.store.domain.FsCity;

/**
 * 城市Service接口
 *
 * @author fs
 * @date 2022-03-15
 */
public interface IFsCityService
{
    /**
     * 查询城市
     *
     * @param id 城市ID
     * @return 城市
     */
    public FsCity selectFsCityById(Long id);

    /**
     * 查询城市列表
     *
     * @param fsCity 城市
     * @return 城市集合
     */
    public List<FsCity> selectFsCityList(FsCity fsCity);

    /**
     * 新增城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    public int insertFsCity(FsCity fsCity);

    /**
     * 修改城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    public int updateFsCity(FsCity fsCity);

    /**
     * 批量删除城市
     *
     * @param ids 需要删除的城市ID
     * @return 结果
     */
    public int deleteFsCityByIds(Long[] ids);

    /**
     * 删除城市信息
     *
     * @param id 城市ID
     * @return 结果
     */
    public int deleteFsCityById(Long id);

    List<FsCity> selectFsCitys();

    List<CitysAreaVO> getCitysArea();
}
